[rspec-users] "it" blocks not executing

Robbie Leib robbie at onthecity.org
Mon Jun 11 18:02:24 UTC 2012


ruby -v: 

ruby 1.8.7 (2012-02-08 MBARI 8/0x6770 on patchlevel 358) [i686-darwin11.4.0], MBARI 0x6770, Ruby Enterprise Edition 2012.02

bundle list:

  * Ascii85 (1.0.1)
  * POpen4 (0.1.4)
  * Platform (0.4.0)
  * RedCloth (4.1.9)
  * RubyInline (3.11.2)
  * SystemTimer (1.2.3)
  * ZenTest (4.8.1)
  * actionmailer (2.3.14)
  * actionpack (2.3.14)
  * activerecord (2.3.14)
  * activeresource (2.3.14)
  * activesupport (2.3.14)
  * addressable (2.2.8)
  * after_commit (1.0.8)
  * airbrake (3.1.0)
  * amazon-ecs (0.5.7)
  * ancestry (1.3.0)
  * annotate (2.4.0)
  * archive-tar-minitar (0.5.2)
  * barby (0.3.2)
  * bitly (0.6.1)
  * builder (3.0.0)
  * bundler (1.1.4)
  * capistrano (2.12.0)
  * capybara (1.1.1)
  * cgi_multipart_eof_fix (2.5.0)
  * childprocess (0.3.2)
  * chronic (0.3.0)
  * color (1.4.0)
  * columnize (0.3.6)
  * crack (0.1.6)
  * cucumber (1.1.0)
  * cucumber-rails (0.3.2)
  * daemons (1.0.10)
  * dalli (1.0.5)
  * database_cleaner (0.8.0)
  * date-performance (0.4.8)
  * diff-lcs (1.1.3)
  * domain_name (0.5.3)
  * excon (0.6.6)
  * factory_girl (2.6.4)
  * faraday (0.7.6)
  * fastercsv (1.5.3)
  * fastthread (1.0.7)
  * ffi (1.0.11)
  * fog (0.10.0)
  * foreman (0.46.0)
  * forgery (0.3.0)
  * formatador (0.2.3)
  * gem_plugin (0.2.3)
  * geokit (1.6.5 98b758b)
  * gherkin (2.5.4)
  * git_remote_branch (0.3.3)
  * google4r-checkout (1.0.6 c6f7c0a)
  * grit (2.5.0)
  * growl (1.0.3)
  * guard (1.1.1)
  * guard-cucumber (0.7.5)
  * guard-rspec (1.0.0)
  * guard-test (0.5.0)
  * hashie (0.2.2)
  * heroku (2.25.0)
  * highline (1.6.12)
  * hiredis (0.4.5)
  * hoe (2.8.0)
  * hpricot (0.8.6)
  * httparty (0.5.2)
  * httpauth (0.1)
  * icalendar (1.0.2)
  * image_science (1.1.3)
  * jammit (0.6.5)
  * json (1.4.6)
  * json_pure (1.7.3)
  * kgio (2.7.4)
  * koala (1.3.0)
  * launchy (2.1.0)
  * libwebsocket (0.1.3)
  * libxml-ruby (1.1.3)
  * linecache (0.46)
  * listen (0.4.2)
  * mail (2.2.5)
  * mechanize (2.1.1)
  * metaclass (0.0.1)
  * mime-types (1.16)
  * mocha (0.11.4)
  * money (3.0.5)
  * mongrel (1.1.5)
  * multi_json (1.0.4)
  * multipart-post (1.1.5)
  * mysql2 (0.2.18)
  * net-http-digest_auth (1.2.1)
  * net-http-persistent (2.6)
  * net-scp (1.0.4)
  * net-sftp (2.0.5)
  * net-ssh (2.1.4)
  * net-ssh-gateway (1.1.0)
  * netrc (0.7.4)
  * newrelic_rpm (3.3.5)
  * nokogiri (1.5.3)
  * ntlm-http (0.1.1)
  * oauth (0.4.1)
  * oauth2 (0.6.0)
  * open4 (1.3.0)
  * pdf-reader (1.1.1)
  * png (1.2.0)
  * polyglot (0.3.1)
  * posix-spawn (0.3.6)
  * prawn (0.12.0)
  * rabl (0.3.0)
  * rack (1.1.3)
  * rack-test (0.6.1)
  * rails (2.3.14)
  * rainbow (1.1.4)
  * rake (0.9.2.2)
  * rb-fchange (0.0.5)
  * rb-fsevent (0.9.1)
  * rb-inotify (0.8.8)
  * rbx-require-relative (0.0.9)
  * rcov (1.0.0)
  * redis (2.2.2)
  * redis-namespace (1.0.3)
  * resque (1.19.0 361879d)
  * resque-retry (0.1.0 d3fe417)
  * resque-scheduler (1.9.9 f57e393)
  * rest-client (1.6.1)
  * right_aws (3.0.4)
  * right_http_connection (1.3.0)
  * rmagick (2.5.2)
  * rpm_contrib (2.1.11)
  * rspec (1.3.2)
  * rspec-rails (1.3.4 dcabc8b)
  * ruby-debug (0.10.4)
  * ruby-debug-base (0.10.4)
  * ruby-hmac (0.3.2)
  * ruby-rc4 (0.1.5)
  * rubyzip (0.9.4)
  * rufus-scheduler (2.0.7)
  * rvideo (0.9.3)
  * sanitize (2.0.3)
  * sanitize_email (0.3.7)
  * sass (3.1.19)
  * selenium-webdriver (2.22.2)
  * shoulda (3.0.1)
  * shoulda-context (1.0.0)
  * shoulda-matchers (1.0.0)
  * showoff-io (0.3.1)
  * simple-navigation (3.7.0)
  * sinatra (1.1.0)
  * spork (0.8.5)
  * spork-testunit (0.0.8)
  * subcontractor (0.3.2)
  * term-ansicolor (1.0.7)
  * termios (0.9.4)
  * test-unit (2.2.0)
  * thor (0.15.2)
  * tilt (1.1)
  * timecop (0.3.5)
  * transaction-simple (1.4.0)
  * treetop (1.4.10)
  * ttfunk (1.0.3)
  * twitter (0.9.8)
  * typhoeus (0.2.4)
  * tzinfo (0.3.33)
  * unf (0.0.5)
  * unf_ext (0.0.5)
  * vegas (0.1.11)
  * webrobots (0.0.13)
  * wice_grid (0.6.0 fdcff0e)
  * will_paginate (2.3.16)
  * xpath (0.1.4)
  * yajl-ruby (0.7.5)
  * yui-compressor (0.9.6)


More information about the rspec-users mailing list